<?php

// Resource routes  for countries
Route::group(['prefix' => set_route_guard('web').'/countries_state'], function () {
    Route::put('countries/workflow/{example}/{step}', 'CountriesWorkflowController@putWorkflow');
    Route::get('countries/workflow/{example}/{step}/{user}', 'CountriesWorkflowController@getWorkflow');
    Route::resource('countries', 'CountriesResourceController');
});


// Resource routes  for states
Route::group(['prefix' => set_route_guard('web').'/countries_state'], function () {
    Route::put('states/workflow/{example}/{step}', 'StatesWorkflowController@putWorkflow');
    Route::get('states/workflow/{example}/{step}/{user}', 'StatesWorkflowController@getWorkflow');
    Route::resource('states', 'StatesResourceController');
});


// Resource routes  for cities
Route::group(['prefix' => set_route_guard('web').'/countries_state'], function () {
    Route::put('cities/workflow/{example}/{step}', 'CitiesWorkflowController@putWorkflow');
    Route::get('cities/workflow/{example}/{step}/{user}', 'CitiesWorkflowController@getWorkflow');
    Route::resource('cities', 'CitiesResourceController');
});


// Resource routes  for area
Route::group(['prefix' => set_route_guard('web').'/countries_state'], function () {
    Route::put('area/workflow/{example}/{step}', 'AreaWorkflowController@putWorkflow');
    Route::get('area/workflow/{example}/{step}/{user}', 'AreaWorkflowController@getWorkflow');
    Route::resource('area', 'AreaResourceController');
});


